package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.Page;
import com.iamberry.wechat.core.entity.member.Integral;
import com.iamberry.wechat.core.entity.member.Member;

public interface IntegralMapper {
	List<Integral> getAllIntegral();
	/**
	 * 积分列表分页
	 * @param page
	 * @return
	 */
	List<Integral> getIntegralByPage(Page page);
	/**
	 * 获取所有积分数量
	 * @return
	 */
	Integer getCount(Member member);
	/**
	 * 根据用户id获取所有用户积分信息
	 * @param openId
	 * @return
	 */
	List<Integral> getIntegralListByOpenId(Member member);
	
	/**
	 * 添加积分记录
	 * @param integer
	 * @return
	 */
	public Integer insertIntegralLogs(Integral integer);
}
